Page 2 of 2 FirstFirst 12
Results 11 to 14 of 14

Thread: GWT compiler error at PagingToolBar onLoad()

  1. #11

    Default

    I have the same issue while compiling with GXT 1.0.2, JDK 1.5.0_15 and GWT 1.5.1 on Win XP

    Ant target:
    Code:
    <target name="gwtcompile" depends="compile" description="Compiles the GWT java code into javascript">
            <path id="gwt.classpath">
                <pathelement location="src"/>
                <pathelement location="${build.home}/WEB-INF/classes"/>
                <path refid="compile.classpath"/>
            </path>
            <java classpathref="gwt.classpath" classname="com.google.gwt.dev.GWTCompiler" fork="true">
                <jvmarg value="-Xmx512m"/>
                <arg value="-out"/>
                <arg value="${build.home}"/>
                <arg value="org.finra.hpw.Application"/>
            </java>
        </target>

  2. #12
    Ext GWT Premium Member gslender's Avatar
    Join Date
    Mar 2008
    Location
    Brisbane, Australia
    Posts
    1,572

    Default

    Quote Originally Posted by neonzebra View Post
    I'm using GWT 1.5.1 and GXT 1.0.2 with java 1.6.0_06 JDK on Linux. The error appears when compiling the GWT module via a custom ANT target. Also, when compiled in hosted mode (on Mac OS X Leopard), no errors appear in the console. The hosted-mode browser just appears blank.
    I am not sure if this is the problem, but I do notice that....

    GXT 1.0.2 is not officially supported/tested with GWT 1.5.1 (rc2). You should be using GWT 1.5.0 (rc1) with GXT 1.0.2

    The 1.1 alpha release of GXT will move to and support GWT 1.5.1 (rc2).

    cheers,
    grant

  3. #13

    Default

    Quote Originally Posted by gslender View Post
    I am not sure if this is the problem, but I do notice that....

    GXT 1.0.2 is not officially supported/tested with GWT 1.5.1 (rc2). You should be using GWT 1.5.0 (rc1) with GXT 1.0.2

    The 1.1 alpha release of GXT will move to and support GWT 1.5.1 (rc2).

    cheers,
    grant
    I just checked with GWT 1.5.0 - no, PagingToolBar does not compile with it either.
    It throws an error at GWT compile time even if I call the constructor only:
    Code:
    PagingToolBar toolBar = new PagingToolBar(50);

  4. #14
    Ext GWT Premium Member gslender's Avatar
    Join Date
    Mar 2008
    Location
    Brisbane, Australia
    Posts
    1,572

    Default

    just checked and seems 1.1 alpha has this fixed...

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •